templates:
- rsx
- freestyle
- base

catalog:
  title: RSB Tools Common Lisp Binary

variables:
  description: Description for downloading binaries of the RSB Common Lisp tools.
  keywords:
  - rsb
  - tools
  - common lisp
  - binary
  - download
  license: GPLv3

  branches:
  - '@{rsx.branches}'

  numeric-version: ${version-name}
  extra-requires:
  - nature: program
    target: spread
    version: 4.1.0

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - wget

  corci-job-name: rsb-tools-cl-${version-name}
  slave-release: trusty

  binary: tools
  binary-prefix: '"rsb-"'
  binary-suffix: cl${version-name}

  shell.command: |
    export LD_LIBRARY_PATH=${toolkit.dir}/lib/:\${LD_LIBRARY_PATH}
    ARCH=\$(case \$(uname -m) in (i686) echo 32bit ;; (x86_64) echo 64bit ;; esac)
    rm -f "${binary}"
    wget https://ci.cor-lab.de/job/${corci-job-name}/label=ubuntu_${slave-release}_\${ARCH}/lastSuccessfulBuild/artifact/build/${binary} -O ${binary}${numeric-version}
    mkdir -p "${toolkit.dir}/bin"
    cp ${binary}${numeric-version} "${toolkit.dir}/bin/"
    chmod ugo+x "${toolkit.dir}/bin/${binary}${numeric-version}"
    ( cd "${toolkit.dir}/bin" && SPREAD_LIBRARY="${toolkit.dir}/lib/libspread" LD_LIBRARY_PATH=${toolkit.dir}/lib ./${binary}${numeric-version} redump ${binary}${numeric-version} static )
    ( cd "${toolkit.dir}/bin" && ./${binary}${numeric-version} create-links ${binary-prefix} ${binary-suffix} )

versions:
- name: master
  variables:
    binary: rsb
    binary-suffix: cl
    corci-job-name: rsb-tools-cl-trunk
    numeric-version: ${rsx.master-numeric-version}

- pattern: ^0\.(?:13|14|15|16|17)$
  variables:
    binary: rsb
    binary-suffix: cl

- name: influxdb-adapter
  variables:
    binary: rsb
    binary-suffix: cl
    corci-job-name: rsb-tools-cl-influxdb-adapter
    numeric-version: '0.13'
